Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
List of access keys.
Afficher les attributs enfants
results.id
string
obligatoire
ID of the access key.
results.organizationId
string
obligatoire
ID of the organization that owns the access key.
results.name
string
obligatoire
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
obligatoire
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
obligatoire
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Afficher les attributs enfants
results.roleRefs.id
string
obligatoire
results.roleRefs.type
string
obligatoire
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Corps de la requête
name
string
obligatoire
Access key name.
description
string
obligatoire
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
Corps de la réponse
accessKey
object
obligatoire
The access key record.
Afficher les attributs enfants
accessKey.id
string
obligatoire
ID of the access key.
accessKey.organizationId
string
obligatoire
ID of the organization that owns the access key.
accessKey.name
string
obligatoire
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
obligatoire
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
obligatoire
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Afficher les attributs enfants
accessKey.roleRefs.id
string
obligatoire
accessKey.roleRefs.type
string
obligatoire
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
obligatoire
The token that can be used for authentication
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Corps de la réponse
id
string
obligatoire
ID of the access key.
organizationId
string
obligatoire
ID of the organization that owns the access key.
name
string
obligatoire
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
obligatoire
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
obligatoire
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
obligatoire
IAM roles attached to this access key.
Afficher les attributs enfants
roles.accessKeysDependencyCount
integer
obligatoire
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Afficher les attributs enfants
roles.actions.name
string
obligatoire
The name of the action.
roles.actions.type
string
obligatoire
The type that the action belongs to.
roles.createdAt
string
obligatoire
When this role was created.
roles.description
string
Role description.
roles.id
string
obligatoire
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Afficher les attributs enfants
roles.metadata.clouds
array of string
roles.name
string
obligatoire
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
obligatoire
IAM Policies this role contains.
Afficher les attributs enfants
The IAM policy record.
roles.policies.createdAt
string
obligatoire
When the IAM Policy was created.
roles.policies.definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
roles.policies.definitions.actions
array of string
obligatoire
A list of actions
roles.policies.definitions.conditionsAll
array of object
Afficher les attributs enfants
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
obligatoire
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
obligatoire
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
obligatoire
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
obligatoire
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
obligatoire
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
obligatoire
When this role was last updated.
roles.usersDependencyCount
integer
obligatoire
The number of users this role is assigned to.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Corps de la requête
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Afficher les paramètres enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
Corps de la réponse
id
string
obligatoire
ID of the access key.
organizationId
string
obligatoire
ID of the organization that owns the access key.
name
string
obligatoire
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
obligatoire
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
obligatoire
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Afficher les attributs enfants
roleRefs.id
string
obligatoire
roleRefs.type
string
obligatoire
Possible values: organization, managed
roleRefs.workspaces
array of string
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'